@import theme

.topinfo
    background-color: $foregroundColor

    .divider
        margin-left: auto
        margin-right: auto
        margin-bottom: 10px

        max-width: calc(#{$maxContentSize} + 20px)
        height: 1px
        width: 100%

        background-color: #c9c9c9

    .top-content
        max-width: $maxContentSize
        margin-left: auto
        margin-right: auto
        padding: 1.25em 0
        box-sizing: border-box

.user-info
    display: flex
    align-items: center

    > * + *
        margin-left: 10px

    h3
        color: $primaryColor
        margin: 0
        font-size: 1.5em

    ::ng-deep .avatar
        align-self: center

        .root
            height: 50px
            width: 50px
            font-size: 26px
            font-weight: 300

.routing
    display: flex
    align-items: center

    margin-top: 20px
    margin-bottom: 5px

    a + a
        margin-left: 15px

    a
        color: #666666
        text-decoration: none
        padding: 0 10px 2px 10px
        box-sizing: border-box

        border-bottom: 2px solid transparent

        &:hover
            color: $blackColor
            border-color: $secondaryColor
            background: transparent

    a.is-active
        color: $blackColor
        border-color:$secondaryColor

.content
    margin-left: auto
    margin-right: auto
    margin-top: 10px

    padding:1em
    box-sizing: border-box

    max-width: $maxContentSize
    width: 100%

    height: 77vh
    max-height: 77vh

    overflow-y: auto

mat-nav-list.list-horizontal
  padding: 0

  .mat-list-item
    display: inline-block
    height: auto
    width: auto